Bug 1301688 - Can't start pulseaudio server after using pulseaudio-equalizer
Can't start pulseaudio server after using pulseaudio-equalizer
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pulseaudio-equalizer (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 12:14 EST by bemipefe
Modified: 2016-12-20 13:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:11:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bemipefe 2016-01-25 12:14:53 EST
Description of problem:

PulseAudio Equalizer GUI works well but after using it and saving settings the pulseaudio server doesn't start any more.

I get the following error if I try to start it manually:

E: [pulseaudio] module-stream-restore.c: Failed to parse module arguments
E: [pulseaudio] module.c: Failed to load module "module-stream-restore" (argument: "restore_device=false restore_device=false"): initialization failed.
E: [pulseaudio] main.c: Module load failed.
E: [pulseaudio] main.c: Failed to initialize daemon.


Version-Release number of selected component (if applicable):

-OS: Fedora release 22 (Twenty Two) kernel 4.2.7-200.fc22.x86_64 #1 SMP 
-Pulseaudio: pulseaudio 6.0
-Pulseaudio Equalizer: PulseAudio Equalizer/LADSPA Processor 2.7 (05/02/2010)

How reproducible:
always

Steps to Reproduce:
1.Download the pulseaudio-equalizer
2.Open the GUI and modify the preset
3.Enable both checkbox
4.Click on "Apply Settings" 

Actual results:

Pulseadio server doesn't start any more if it is rebooted 

Expected results:

Pulseadio should keep working as usual.

Additional info:

The problem can be manually fixed by opening the file ~/.pulse/default.pa 
and changing the line:

load-module module-stream-restore restore_device=false restore_device=false

to

load-module module-stream-restore restore_device=false

removing the attribute duplication.
Comment 1 Fedora End Of Life 2016-11-24 10:11:13 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 13:11:45 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.